GeneratedMessageV3.FieldAccessorTable
Date: 2017-07-08

com.google.protobuf

## Class GeneratedMessageV3.FieldAccessorTable

- java.lang.Object
- - com.google.protobuf.GeneratedMessageV3.FieldAccessorTable

- Enclosing class:
    GeneratedMessageV3

      public static final class GeneratedMessageV3.FieldAccessorTable
      extends java.lang.Object

  Users should ignore this class. This class provides the implementation with access to the fields of a message object using Java reflection.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeneratedMessageV3.FieldAccessorTable(Descriptors.Descriptor descriptor, java.lang.String[] camelCaseNames)` Construct a FieldAccessorTable for a particular message class without initializing FieldAccessors.
    `GeneratedMessageV3.FieldAccessorTable(Descriptors.Descriptor descriptor, java.lang.String[] camelCaseNames, java.lang.Class<? extends GeneratedMessageV3> messageClass, java.lang.Class<? extends GeneratedMessageV3.Builder> builderClass)` Construct a FieldAccessorTable for a particular message class.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `GeneratedMessageV3.FieldAccessorTable` | `ensureFieldAccessorsInitialized(java.lang.Class<? extends GeneratedMessageV3> messageClass, java.lang.Class<? extends GeneratedMessageV3.Builder> builderClass)` Ensures the field accessors are initialized.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeneratedMessageV3.FieldAccessorTable

          public GeneratedMessageV3.FieldAccessorTable(Descriptors.Descriptor descriptor,
                                               java.lang.String[] camelCaseNames,
                                               java.lang.Class<? extends GeneratedMessageV3> messageClass,
                                               java.lang.Class<? extends GeneratedMessageV3.Builder> builderClass)

      Construct a FieldAccessorTable for a particular message class. Only one FieldAccessorTable should ever be constructed per class.
      Parameters:
        `descriptor` - The type's descriptor.
        `camelCaseNames` - The camelcase names of all fields in the message. These are used to derive the accessor method names.
        `messageClass` - The message type.
        `builderClass` - The builder type.

    - #### GeneratedMessageV3.FieldAccessorTable

          public GeneratedMessageV3.FieldAccessorTable(Descriptors.Descriptor descriptor,
                                               java.lang.String[] camelCaseNames)

      Construct a FieldAccessorTable for a particular message class without initializing FieldAccessors.

  - ### Method Detail

    - #### ensureFieldAccessorsInitialized

          public GeneratedMessageV3.FieldAccessorTable ensureFieldAccessorsInitialized(java.lang.Class<? extends GeneratedMessageV3> messageClass,
                                                                              java.lang.Class<? extends GeneratedMessageV3.Builder> builderClass)

      Ensures the field accessors are initialized. This method is thread-safe.
      Parameters:
        `messageClass` - The message type.
        `builderClass` - The builder type.
      Returns:
        this